Name:          xwayland
Version:       24.1.5
Release:       1mamba
Summary:       X.org X Server that runs under Wayland
Group:         System/X11
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://xorg.freedesktop.org/wiki/
Source:        https://xorg.freedesktop.org/archive/individual/xserver/xwayland-%{version}.tar.xz
License:       BSD, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libXau-devel
BuildRequires: libXfont2-devel
BuildRequires: libaudit-devel
BuildRequires: libdecor-devel
BuildRequires: libdrm-devel
BuildRequires: libei-devel
BuildRequires: libepoxy-devel
BuildRequires: libglvnd-devel
BuildRequires: libmd-devel
BuildRequires: libmesa-devel
BuildRequires: libpixman-devel
BuildRequires: libselinux-devel
BuildRequires: libtirpc-devel
BuildRequires: libwayland-devel
BuildRequires: libxcvt-devel
BuildRequires: libxshmfence-devel
## AUTOBUILDREQ-END
BuildRequires: libegl-wayland-devel
BuildRequires: xtrans-devel
Requires:      xorg-server

%description
X.org X Server that runs under Wayland.


%prep
%setup -q

%build
%meson \
    -D ipv6=true \
    -D xvfb=false \
    -D xdmcp=false \
    -D xcsecurity=true \
    -D dri3=true \
    -D glamor=true \
    -D xkb_dir=%{_datadir}/X11/xkb \
    -D xkb_output_dir=%{_sysconfdir}/X11/xkb/compiled

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

rm -f %{buildroot}%{_mandir}/man1/Xserver.1*
rm -f %{buildroot}%{_libdir}/xorg/protocol.txt

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/Xwayland
%{_datadir}/applications/org.freedesktop.Xwayland.desktop
%{_libdir}/pkgconfig/xwayland.pc
%{_mandir}/man1/Xwayland.1*
%doc COPYING

%changelog
* Thu Feb 06 2025 Automatic Build System <autodist@openmamba.org> 24.1.5-1mamba
- automatic version update by autodist

* Sat Nov 16 2024 Silvan Calarco <silvan.calarco@mambasoft.it> 24.1.4-1mamba
- update to 24.1.4

* Sat Oct 05 2024 Automatic Build System <autodist@openmamba.org> 24.1.3-1mamba
- automatic version update by autodist

* Wed Aug 07 2024 Automatic Build System <autodist@openmamba.org> 24.1.2-1mamba
- automatic version update by autodist

* Mon Jul 29 2024 Automatic Build System <autodist@openmamba.org> 24.1.1-1mamba
- automatic version update by autodist

* Sun Jun 02 2024 Automatic Build System <autodist@openmamba.org> 24.1.0-1mamba
- automatic version update by autodist

* Fri Apr 26 2024 Automatic Build System <autodist@openmamba.org> 23.2.6-1mamba
- automatic version update by autodist

* Tue Jan 16 2024 Automatic Build System <autodist@openmamba.org> 23.2.4-1mamba
- automatic version update by autodist

* Wed Dec 13 2023 Automatic Build System <autodist@mambasoft.it> 23.2.3-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 23.2.2-1mamba
- automatic version update by autodist

* Wed Sep 20 2023 Automatic Build System <autodist@mambasoft.it> 23.2.1-1mamba
- automatic version update by autodist

* Fri Aug 18 2023 Automatic Build System <autodist@mambasoft.it> 23.2.0-1mamba
- automatic version update by autodist

* Wed Jun 07 2023 Automatic Build System <autodist@mambasoft.it> 23.1.2-1mamba
- automatic version update by autodist

* Thu Mar 30 2023 Automatic Build System <autodist@mambasoft.it> 23.1.1-1mamba
- automatic version update by autodist

* Thu Mar 23 2023 Automatic Build System <autodist@mambasoft.it> 23.1.0-1mamba
- automatic version update by autodist

* Wed Feb 08 2023 Automatic Build System <autodist@mambasoft.it> 22.1.8-1mamba
- automatic version update by autodist

* Mon Dec 19 2022 Automatic Build System <autodist@mambasoft.it> 22.1.7-1mamba
- automatic version update by autodist

* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 22.1.6-1mamba
- automatic version update by autodist

* Thu Nov 03 2022 Automatic Build System <autodist@mambasoft.it> 22.1.5-1mamba
- automatic version update by autodist

* Sat Oct 22 2022 Automatic Build System <autodist@mambasoft.it> 22.1.4-1mamba
- automatic version update by autodist

* Wed Jul 13 2022 Automatic Build System <autodist@mambasoft.it> 22.1.3-1mamba
- automatic version update by autodist

* Thu May 26 2022 Automatic Build System <autodist@mambasoft.it> 22.1.2-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Automatic Build System <autodist@mambasoft.it> 22.1.1-1mamba
- automatic version update by autodist

* Sun Mar 27 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 22.1.0-1mamba
- package created using the webbuild interface
